> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get systemautocompletedocuments schema



## OpenAPI

````yaml /api-reference/4.2/service-system-autocomplete.json get /system/autocomplete/documents/_schema
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service system-autocomplete
servers:
  - url: /api/apollo/
security: []
tags:
  - name: system-autocomplete
paths:
  /system/autocomplete/documents/_schema:
    get:
      tags:
        - 4.2 System Autocomplete API
      operationId: getDocumentSchema
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectType'
components:
  schemas:
    ObjectType:
      type: object
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - String
            - Number
            - Integer
            - Boolean
            - Object
            - Array
            - 'Null'
            - Ref
        title:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        required:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        properties:
          type: object
          readOnly: true
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        additionalProperties:
          type: object
          readOnly: true
        minProperties:
          type: integer
          format: int32
          readOnly: true
        maxProperties:
          type: integer
          format: int32
          readOnly: true
        definitions:
          type: object
          readOnly: true
          additionalProperties:
            $ref: '#/components/schemas/AnyType'
        category:
          type: string
          readOnly: true
        categoryPriority:
          type: integer
          format: int32
          readOnly: true
        enum:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: object
        hints:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        unsafe:
          type: boolean
          readOnly: true
          default: false
        default:
          type: object
          readOnly: true
        oneOf:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
        propertyGroups:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PropertyGroup'
    AnyType:
      type: object
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - String
            - Number
            - Integer
            - Boolean
            - Object
            - Array
            - 'Null'
            - Ref
        title:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        enum:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: object
        default:
          type: object
          readOnly: true
        category:
          type: string
          readOnly: true
        categoryPriority:
          type: integer
          format: int32
          readOnly: true
        hints:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        unsafe:
          type: boolean
          readOnly: true
          default: false
        oneOf:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    AnyTypeObjectObject:
      type: object
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - String
            - Number
            - Integer
            - Boolean
            - Object
            - Array
            - 'Null'
            - Ref
        title:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        enum:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: object
        default:
          type: object
          readOnly: true
        category:
          type: string
          readOnly: true
        categoryPriority:
          type: integer
          format: int32
          readOnly: true
        hints:
          type: array
          readOnly: true
          uniqueItems: true
          items:
            type: string
        unsafe:
          type: boolean
          readOnly: true
          default: false
        oneOf:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/AnyTypeObjectObject'
    PropertyGroup:
      type: object
      properties:
        label:
          type: string
          readOnly: true
        properties:
          type: array
          readOnly: true
          items:
            type: string

````